-- vi:ft=lua
-- configuration file for io

local hw = Io.system_bus()

local bus = Io.Vi.System_bus
{
  CPM = wrap(hw:match("x1600-cpm"));
  DMA = wrap(hw:match("x1600-dma"));
  GPIO = wrap(hw:match("x1600-gpio"));
  MSC = wrap(hw:match("x1600-msc"));
}

Io.add_vbus("common", bus)
